#ifndef _SRF08_H
#define _SRF08_H

#define SRF08_ADDRESS 			0xE0  // adresse par dfaut du sonar
#define SRF08_CMD_REG     		0x00   // registre de commande
#define SRF08_FISRT_ECHO_REG 	0x02
#define SRF08_START_RANGING_CM  0x51
#define SRF08_MAX_ECHOS         17

int read_distance(void); // retourne le premier echo en cm

void StartRangingCm ( void ); // Lance une mesure de distance avec rsultat en cm

int read_echo (int n ) ; // retourne la distance de l'cho N n ( 0 <= n <=16 )


int read_all_echos ( int *  tab_echo ) ;// Lit tous les echos jusqu' avoir un echo nul
										// retourne le nombre d'chos non nul
										// rempli le tableau avec les valeurs de chaque echo
#endif
